#ifndef MILLWINDOW_H
#define MILLWINDOW_H

#include <qmainwindow.h>
#include "MillGLWidget.h"

class QMultiLineEdit;
class QToolBar;
class QPopupMenu;
class QGLWidget;
class Mill;

class MillWindow: public QMainWindow
{
    Q_OBJECT
public:
    MillWindow();
    ~MillWindow();
    
public slots:
    void newGame();
    void undoGame();
    void redoGame();
    void exitGame();
    void help();
    void about();
    void glversion();

    void toggleStatusBar();
    void toggleToolBar();
    void toggleSolid();
    void toggleTexture();
    void toggleFog();

    void setStatus(char *msg);
    void showBeep();
private:
    QToolBar   *gameTools;
    QPopupMenu *gameMenu;
    QPopupMenu *controlMenu;
    QPopupMenu *viewMenu;
    QPopupMenu *helpMenu;
    QGLWidget  *glWidget;
    int tb, sb,solidFlag,textureFlag,fogFlag;
    Mill *mill;
};


#endif
